Download it now!
Bug 46847 - extensions/so_activex is not buildable
Summary: extensions/so_activex is not buildable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 13:01 UTC by Andras Timar
Modified: 2012-03-09 01:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-03-01 13:01:10 UTC
c:/lo/libo-master/extensions/source/activex/so_activex.rc(107) : error RC2135 : file not found: c:/lo/libo
make[1]: *** [/cygdrive/c/lo/libo-master/workdir/wntmsci12.pro/WinResTarget/activex_res.res] Error 1
make: *** [extensions] Error 2

In so_activex.rc the macro MISC is undefined, it was defined in envsettings.h as #define MISC .\..\$(INPATH)\misc
Comment 1 David Tardon 2012-03-01 23:53:35 UTC
Right, it seems that the ability to generate so_activex.tlb from so_activex.idl has been lost in translation... I will look at it later today and provide a patch for you to test.
Comment 2 Not Assigned 2012-03-04 01:36:26 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09888c688ebfdd43a5cb1e44b6c9776eedcf5c3c

fix building of so_activex (fdo#46847)
Comment 3 Not Assigned 2012-03-04 03:09:28 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=717aff55d2d2fa021a6ee479c93ce12b973cc3da

fdo#46847 typo in midl command line
Comment 4 Not Assigned 2012-03-04 06:02:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbeeae7f81555409cafb677a2292b8be40c449e6

fdo#46847 use windows style path for midl.exe
Comment 5 Andras Timar 2012-03-04 13:32:17 UTC
[ build MAK ] extensions/source/activex
make[2]: *** No rule to make target `SOActionsApproval.cxx', needed by `all'.  Stop.
Comment 6 Not Assigned 2012-03-09 01:30:14 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbaabc7323f9c35ee414ef9013e9036d045d84dc

fdo#46847 fix build of so_activex.rc
Comment 7 Andras Timar 2012-03-09 01:33:37 UTC
With this last commit so_activex.dll is finally buildable. Thanks David for your great help.